package com.brilliance.isc.common.umdmod.service;

import com.brilliance.isc.common.umdmod.vo.UmdmodVo;
import com.brilliance.isc.common.vo.PtsptaVo;

import java.math.BigDecimal;
import java.util.List;

public interface UmdmodService {

    /**
     * 统一名单筛查按钮
     */
    void assertUmdmod(UmdmodVo umdmodVo);

    /**
     * 统一名单页面入口
     * @param umdmodVo
     */
    void initUmdmod(UmdmodVo umdmodVo);

    /**
     * 调用register
     */
    void internalPostRegisterUmdCheck(UmdmodVo umdmodVo);

    void callUMDInterface(UmdmodVo umdmodVo);

    void setUMDHeader(UmdmodVo umdmodVo,String argCustno, String argLoanFlag, String argCur, BigDecimal argAmt);

    /**
     * 查询角色
     * @param ptsptaVoList
     * @param rol
     * @return
     */
    PtsptaVo getPtsptaFromPtslist(List<PtsptaVo> ptsptaVoList, String rol) ;

    void checkTymd(UmdmodVo umdmodVo);

    boolean tymdOpn();
    }
